mav_windowFogSet(3)

NAME
mav_windowFogSet - Set the fog for a window.

LEVEL
Maverik Level 1

SYNTAX
void mav_windowFogSet(MAV_window *w, int type, float data1, float data2, float r, float g, float b);

ARGUMENTS
Window. The type of fog. Fog data (see below). Fog colour.

DESCRIPTION
This function sets the fog for window w to be the values supplied. type defines the type of fog used and can take the values MAV_FOG_NONE to disable fogging, MAV_FOG_LINEAR for a linear fog falloff and MAV_FOG_EXP and MAV_FOG_EXP2 for exponential fog falloffs. For linear fog data1 and data2 define the start and end distances from the eye point where fog is applied. For exponential fog data1 specifies the fog density and data2 is unused. r, g and b define the colour of the fog. If the colour values are negative the background colour is used.